Revoke onboarding invite
Revoke an onboarding invite, rendering the invitation link unusable.
To access this endpoint using an access token
you'll need to specify the /accounts.write scope.
DELETE
/onboarding-invites/{code}
curl -X DELETE "https://api.moov.io/onboarding-invites/{code}" \
-H 'Authorization: Bearer {token}' \
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Onboarding.RevokeInviteAsync(code: "N1IA5eWYNh");
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.RevokeOnboardingInviteResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
RevokeOnboardingInviteResponse res = sdk.onboarding().revokeInvite()
.code("N1IA5eWYNh")
.call();
// handle response
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.onboarding.revoke_invite(code: 'N1IA5eWYNh')
if res.status_code == 200
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.onboarding.revokeInvite({
code: "N1IA5eWYNh",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->onboarding->revokeInvite(
code: 'N1IA5eWYNh'
);
if ($response->statusCode === 200) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.onboarding.revoke_invite(code="N1IA5eWYNh")
# Handle response
print(res)The request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
code
string
required